
#### Integrations
##### Rubrik Radar
- Improved implementation of the graphql query during incident ingestion to filter on the 'lastUpdated' time for new incidents in accordance to backend functionality changes to Radar.
- Fixed an issue where new incidents were not being detected by XSOAR.
- Added the *Radar Critical Severity Level Mapping* and the *Radar Warning Severity Level Mapping* integration parameters in order to allow the mapping of Radar Critical and Warning event severity levels to various XSOAR severity levels upon incident fetch. The default severity mappings are currently:  Radar Critical -> XSOAR HIGH and Radar Warning -> XSOAR LOW.
- Added the ***rubrik-cdm-cluster-connection-state*** and ***rubrik-cdm-cluster-location*** commands.  These commands have been added as tasks to the **Rubrik Post Intrusion Ransomware Investigation** playbook.
- Deprecated the ***rubrik-radar-analysis-status*** command as it is no longer needed.
- Updated the Docker image to: *demisto/python3:3.9.4.18682*.

#### Scripts
##### New: RubrikCDMClusterConnectionState
- Shows the Rubrik Radar amount of Files Added.

##### New: RubrikRadarFilesAdded
- Shows the Rubrik Radar amount of Files Added.

##### New: RubrikRadarFilesDeleted
- Shows the Rubrik Radar amount of Files Deleted.

##### New: RubrikRadarFilesModified
- Shows the Rubrik Radar amount of Files Modified.

##### New: RubrikSonarOpenAccessFiles
- Shows the Rubrik Polaris Sonar Open Access Files Count.

##### RubrikSonarSensitiveHits
- Shows the data classification hits on an object.

##### New: RubrikSonarTotalHits
- Shows the Rubrik Polaris Sonar Total Hits.

#### Playbooks
##### Rubrik Polaris - Anomaly Analysis
 - Added the ***rubrik-cdm-cluster-location*** and the ***rubrik-cdm-cluster-connection-state*** tasks into the playbook under the **Sonar Data Classification** section.

#### Mappers
##### Rubrik Polaris Radar - Mapping
- Added various changes to the mapping in order to accommodate the newly added fields.
- Modified the Radar Mapper to now map the Hostnames field to the Radar Polaris "objectName" field of the Radar event.

#### Layouts
##### Rubrik Polaris Radar
- Added the Rubrik Polaris tab that contains the Radar event timeline as well as the Data Classification sections.
- Added various layout changes to the Incident Summary tab.

#### Incident Fields
- Added the following fields:
   - **Rubrik CDM Cluster ID**
   - **Rubrik CDM Cluster Location**
   - **Rubrik CDM Cluster Name**
   - **Rubrik Polaris Analysis Pipeline**

- Deprecated the following fields:
   - **Rubrik Polaris Analysis Progress**
   - **Rubrik Polaris CDM Cluster ID**
   - **Rubrik Polaris CDM Cluster Name**
   - **Rubrik Polaris Last Updated**
   - **Rubrik Polaris Message**
   - **Rubrik Polaris Event Completed**

#### Incident Types
##### Rubrik Radar
- Updated the default integration type.
