
#### Classifiers
##### Rubrik Polaris Radar - Classification
- Updated id of the classifier to **Rubrik Polaris Radar - Classification**.

#### Incident Fields
- New incident field **Rubrik Polaris Cluster Location Path**
- New incident field **Rubrik Polaris FID**
- New incident field **Rubrik Polaris Start Time**

#### Incident Types
- **Rubrik Radar**
  - Changed playbookId to the newly introduced playbook **Rubrik Anomaly Incident Response - Rubrik Polaris**
  - Updated id of the layout to **Rubrik Polaris Radar**.

#### Integrations
##### Rubrik Radar
- Added 30 commands.
  - ***rubrik-event-list***
  - ***rubrik-gps-async-result***
  - ***rubrik-gps-cluster-list***
  - ***rubrik-gps-sla-domain-list***
  - ***rubrik-gps-snapshot-files-download***
  - ***rubrik-gps-snapshot-files-list***
  - ***rubrik-gps-vm-datastore-list***
  - ***rubrik-gps-vm-export***
  - ***rubrik-gps-vm-host-list***
  - ***rubrik-gps-vm-livemount***
  - ***rubrik-gps-vm-recover-files***
  - ***rubrik-gps-vm-snapshot-create***
  - ***rubrik-polaris-object-list***
  - ***rubrik-polaris-object-search***
  - ***rubrik-polaris-object-snapshot-list***
  - ***rubrik-polaris-vm-object-metadata-get***
  - ***rubrik-polaris-vm-object-snapshot-list***
  - ***rubrik-polaris-vm-objects-list***
  - ***rubrik-radar-anomaly-csv-analysis***
  - ***rubrik-radar-ioc-scan***
  - ***rubrik-radar-ioc-scan-list***
  - ***rubrik-radar-ioc-scan-results***
  - ***rubrik-sonar-csv-download***
  - ***rubrik-sonar-csv-result-download***
  - ***rubrik-sonar-ondemand-scan***
  - ***rubrik-sonar-ondemand-scan-result***
  - ***rubrik-sonar-ondemand-scan-status***
  - ***rubrik-sonar-policies-list***
  - ***rubrik-sonar-ondemand-scan-status***
  - ***rubrik-user-downloads-list***
- Added support for authentication using service accounts.
- Corrected output key for ***rubrik-sonar-sensitive-hits*** and added new outputs to it.
- Added cluster id output to ***rubrik-cdm-cluster-location***, ***rubrik-cdm-cluster-connection-state*** and ***rubrik-radar-analysis-status***.
- Documentation and metadata improvements.
- Added a test playbook.
- Updated the Docker image to: *demisto/rubrik-polaris-sdk-py3:1.0.0.27986*.

#### Layouts
##### Rubrik Polaris Radar
- Updated id of the layout to **Rubrik Polaris Radar**.
- Added following new incidents fields to the layout
  - **Rubrik Polaris Cluster Location Path**
  - **Rubrik Polaris Start Time**
##### Account Indicator_copy
- Updated id of the layout to **Account Indicator_copy**.

#### Mappers
##### Rubrik Polaris Radar - Mapping
- Updated id of the mapper to **Rubrik Polaris Radar - Mapping**.
- Introduced mapping for new incidents fields
  - **Rubrik Polaris Cluster Location Path**
  - **Rubrik Polaris FID**
  - **Rubrik Polaris Start Time**

#### Playbooks
##### New: Rubrik Fileset Ransomware Discovery - Rubrik Polaris
- This playbook performs IOC Scan on fileset object. It also creates tickets on ServiceNow using "ServiceNow v2" integration.
Supported integrations:
- RubrikPolaris
- ServiceNow v2 (Available from Cortex XSOAR 6.0.0).
##### New: Rubrik IOC Scan - Rubrik Polaris
- This playbook starts an IOC Scan with the provided IOC values. It can be looped until recoverable snapshots are obtained or the limit to loop is reached. (Available from Cortex XSOAR 6.0.0).
##### New: Rubrik Data Object Discovery - Rubrik Polaris
- Data discovery of the object available in the incident. (Available from Cortex XSOAR 6.0.0).
##### New: Rubrik Ransomware Discovery and File Recovery - Rubrik Polaris
- This playbook performs an IOC Scan based on the provided inputs, search the recoverable snapshot and performs recovery on the searched recoverable snapshot. This playbook also creates tickets on ServiceNow using "ServiceNow v2" integration. 
Supported integrations: 
- RubrikPolaris
- ServiceNow v2
 (Available from Cortex XSOAR 6.0.0).
##### New: Rubrik Anomaly Incident Response - Rubrik Polaris
- This playbook will investigate an anomaly incident ingested by the integration "RubrikPolaris", enrich its data, and perform a remediation according to the incident's object type. (Available from Cortex XSOAR 6.0.0).
##### Rubrik Polaris - Anomaly Analysis
- Replaced depreciated command ***rubrik-radar-analysis-status*** with ***rubrik-event-list*** to get anomaly event updates.
- Added check for enabled integration instance.
- Added check to bypass polling for a completed anomaly event.
##### New: Rubrik Ransomware Discovery and VM Recovery - Rubrik Polaris
- Use this playbook to recover a virtual machine using the "RubrikPolaris" integration by either exporting or live-mounting a backup snapshot. This playbook also creates tickets on ServiceNow using "ServiceNow v2" integration.
Supported integrations:
- RubrikPolaris
- ServiceNow v2 (Available from Cortex XSOAR 6.0.0).
##### New: Rubrik Poll Async Result - Rubrik Polaris
- Poll async result for any asynchronous request made to rubrik. (Available from Cortex XSOAR 6.0.0).

#### Scripts
##### RubrikCDMClusterConnectionState
- Updated the Docker image to: *demisto/python3:3.10.4.27798*.
##### RubrikRadarFilesModified
- Updated the Docker image to: *demisto/python3:3.10.4.27798*.
##### RubrikRadarFilesAdded
- Updated the Docker image to: *demisto/python3:3.10.4.27798*.
##### RubrikSonarSensitiveHits
- Updated the Docker image to: *demisto/python3:3.10.4.27798*.
##### New: DateToTimeStamp
- Converts a date to timestamp. (Available from Cortex XSOAR 6.0.0).
##### RubrikRadarFilesDeleted
- Updated the Docker image to: *demisto/python3:3.10.4.27798*.
##### RubrikSonarOpenAccessFiles
- Updated the Docker image to: *demisto/python3:3.10.4.27798*.
##### RubrikSonarTotalHits
- Updated the Docker image to: *demisto/python3:3.10.4.27798*.
