
#### Integrations

##### Rubrik Radar
- Updated the Docker image to: *demisto/rubrik-polaris-sdk-py3:1.0.0.54625*.


- Updated the rubrik-event-list command's parameters possible values.
- Updated the rubrik-polaris-vm-object-snapshot-list command's possible values.
- Updated the rubrik-polaris-object-list command to add type_filter argument as required parameter.
- Updated the rubrik-gps-vm-livemount command and used new function with updated parameters provided by the client.
- Updated the **Rubrik Data Object Discovery - Rubrik Polaris** playbook and attached sub playbook to it.
- Added the **Rubrik List Snapshots - Rubrik Polaris** sub playbook.




#### Playbooks

##### New: Rubrik Anomaly Incident Response - Rubrik Polaris

- Added a playbook that will investigate an anomaly incident ingested by the integration "RubrikPolaris", enrich its data, and perform a remediation according to the incident's object type.

##### New: Rubrik Data Object Discovery - Rubrik Polaris

- Added a playbook that does the data discovery of the object available in the incident.

##### New: Rubrik Fileset Ransomware Discovery - Rubrik Polaris

- Added a playbook that performs IOC Scan on fileset object. It also creates tickets on ServiceNow using "ServiceNow v2" integration.

##### New: Rubrik IOC Scan - Rubrik Polaris

- Added a playbook that starts an IOC Scan with the provided IOC values. It can be looped until recoverable snapshots are obtained or the limit to loop is reached.

##### New: Rubrik Polaris - Anomaly Analysis

- Added a playbook that monitors the progress of a Rubrik Radar anomaly event and use Rubrik Sonar to check for data classification hits.

##### Rubrik Poll Async Result - Rubrik Polaris

- Added a playbook which will Poll async result for any asynchronous request made to rubrik.

##### New: Rubrik Ransomware Discovery and File Recovery - Rubrik Polaris

- Added a playbook that performs an IOC Scan based on the provided inputs, search the recoverable snapshot and performs recovery on the searched recoverable snapshot. This playbook also creates tickets on ServiceNow using "ServiceNow v2" integration. 

##### New: Rubrik Ransomware Discovery and VM Recovery - Rubrik Polaris

- Added a playbook which will be used to recover a virtual machine using the "RubrikPolaris" integration by either exporting or live-mounting a backup snapshot. This playbook also creates tickets on ServiceNow using "ServiceNow v2" integration.


##### New: Rubrik List Snapshots - Rubrik Polaris

- Added a playbook which will list snapshots for all objects. (Available from Cortex XSOAR 6.0.0).


##### Rubrik Data Object Discovery - Rubrik Polaris

- Updated the playbook and attached **Rubrik List Snapshots - Rubrik Polaris** sub playbook for Data discovery of the object available in the incident. (Available from Cortex XSOAR 6.0.0).

#### Scripts

##### RubrikCDMClusterConnectionState
- Updated the Docker image to: *demisto/python3:3.10.11.54132*.


##### DateToTimeStamp
- Updated the Docker image to: *demisto/python3:3.10.11.54132*.


##### RubrikRadarFilesModified
- Updated the Docker image to: *demisto/python3:3.10.11.54132*.


##### RubrikSonarSensitiveHits
- Updated the Docker image to: *demisto/python3:3.10.11.54132*.


##### RubrikRadarFilesAdded
- Updated the Docker image to: *demisto/python3:3.10.11.54132*.


##### RubrikSonarOpenAccessFiles
- Updated the Docker image to: *demisto/python3:3.10.11.54132*.


##### RubrikRadarFilesDeleted
- Updated the Docker image to: *demisto/python3:3.10.11.54132*.


##### RubrikSonarTotalHits
- Updated the Docker image to: *demisto/python3:3.10.11.54132*.



#### Layouts

##### Rubrik Polaris Radar

- Updated the incident field name.

##### RubrikPolaris Account Indicator

- Updated the incident field name.

